Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.parameter
Class ParameterNotFoundException

    Object
      Throwable
          Exception
              RuntimeException
                  IllegalArgumentException
                      ParameterNotFoundException

All Implemented Interfaces:
  Serializable

    public class ParameterNotFoundException

extends IllegalArgumentException

Thrown when a required parameter was not found in a parameter group.

Since:
  GeoAPI 1.0
See Also:
  `ParameterDescriptorGroup.descriptor(java.lang.String)`, `ParameterValueGroup.parameter(java.lang.String)`, Serialized Form

Constructor Summary
`ParameterNotFoundException(String message, String parameterName)` Creates an exception with the specified message and parameter name.

Method Summary
`String` | `getParameterName()` Returns the required parameter name.

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParameterNotFoundException

    public ParameterNotFoundException(String message,
                                      String parameterName)

  Creates an exception with the specified message and parameter name.

  Parameters:
    `message` - The detail message. The detail message is saved for later retrieval by the `Throwable.getMessage()` method.
    `parameterName` - The required parameter name.

Method Detail

### getParameterName

    public String getParameterName()

  Returns the required parameter name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.